<template>
    <KinesisContainer>
        <section class="solutions">
            <div class="container">
                <div class="section-title" id="solutions">
                    Our Solutions
                </div>
                <div class="list">
                    <div class="item" v-for="b of solutions" :key="b.id">
                        <AppOneBlock
                                :id="b.id"
                                :title="b.title"
                                :description="b.description"
                                section="solutions"
                        ></AppOneBlock>
                        <div class="view-plans">View Plans</div>
                    </div>
                </div>
            </div>
            <kinesis-element :strength="9" class="figure1">
                <img srcset="../../assets/img/backgrounds/figure1.png, ../../assets/img/backgrounds/figure1.2x.png 2x"
                     src="figure1.png" alt="Figure 1">
            </kinesis-element>
            <kinesis-element :strength="3" class="circle">

                <img srcset="../../assets/img/backgrounds/circle.png, ../../assets/img/backgrounds/circle.2x.png 2x"
                     src="circle.png" alt="Circle">
            </kinesis-element>
            <kinesis-element :strength="15" class="figure2">
                <img srcset="../../assets/img/backgrounds/figure2.png, ../../assets/img/backgrounds/figure2.2x.png 2x"
                     src="figure2.png" alt="Figure 2">
            </kinesis-element>
        </section>
    </KinesisContainer>
</template>

<script>
    import AppOneBlock from "@/components/AppOneBlock";
    import Solutions from '@/data/solutions';
    import {KinesisContainer, KinesisElement} from 'vue-kinesis';

    export default {
        name: "Solutions",
        components: {
            AppOneBlock,
            KinesisContainer,
            KinesisElement
        },
        data: () => {
            return {
                solutions: Solutions('en').getData()
            }
        }
    }
</script>

<style scoped lang="scss">
    .solutions {
        position: relative;
        display: flex;
        justify-content: center;
        padding-top: 25px;

        .container {
            width: 937px;

            .list {
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;

                .item {
                    position: relative;
                    display: flex;
                    width: 255px;
                    margin-top: 90px;
                    padding-bottom: 40px;

                    .view-plans {
                        position: absolute;
                        bottom: 0;
                        left: 0;
                        color: #0263ff;
                        font-family: $mainFont, sans-serif;
                        font-size: 14px;
                        font-weight: 700;
                        letter-spacing: 0.86px;

                        &:hover {
                            cursor: pointer;
                        }
                    }
                }
            }
        }

        .figure1 {
            position: absolute;
            top: -237px;
            left: -450px;
        }

        .circle {
            position: absolute;
            bottom: -172px;
            right: -160px;
        }

        .figure2 {
            position: absolute;
            bottom: -275px;
            right: -100px;
        }
    }
</style>
